Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

BlackBerry® World™ Development

Reply
Regular Contributor
Posts: 61
Registered: ‎03-28-2010
My Device: Bold 9700
My Carrier: Maxis Malaysia
Accepted Solution

AppWorld select the lowest OS or current OS?

Hi,

 

I'm going to relase multiple filebundles to support multiple OS (thanks to the "simplified" BB ads requirement). My question is like this:

 

I created 4 filebundles for os specific (4.5, 4.6, 5.0, 6.0) and select all devices for every filebundles. Will AppWorld detect the device OS and point it to the related filebundles or it will automatically direct the device to the lowest OS that the device supported?

i.e Bold9000 with OS 5.0 - will download 4.5? or 5.0?

 

Why I asked is because, like Bold900, there are some with OS5 and some with OS4.6. If my filebundles 4.6 and 5.0 both have Bold9000 selected, which one it will be downloaded? Based on the device on the OS, or the lowest OS the device can support?

 

 

Highlighted
Developer
Posts: 1,452
Registered: ‎11-06-2009
My Device: Torch 9810
My Carrier: WiFi

Re: AppWorld select the lowest OS or current OS?

App World will serve the correct version based on the device OS. For example Bold with OS 5.0 will get the 5.0 version, Bold with OS4.6 will get the 4.6 version.

 

 



"When you become a level 3 developer, you learn to communicate over the ether. I'm told that level 5 developers are ascend into a higher level of existence beyond the physical realm." gord888 @ crackberry